Package org.eclipse.jgit.submodule

## Enum SubmoduleWalk.IgnoreSubmoduleMode

- java.lang.Object
- - java.lang.Enum<SubmoduleWalk.IgnoreSubmoduleMode>
  - - org.eclipse.jgit.submodule.SubmoduleWalk.IgnoreSubmoduleMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SubmoduleWalk.IgnoreSubmoduleMode>`

Enclosing class:
  SubmoduleWalk

    public static enum SubmoduleWalk.IgnoreSubmoduleMode
    extends Enum<SubmoduleWalk.IgnoreSubmoduleMode>

The values for the config param submodule.<name>.ignore

Since:
  3.6

### Enum Constant Summary

Enum Constants
`ALL` Ignore all modifications to submodules
`DIRTY` Ignore changes to the working tree of a submodule
`NONE` Ignore nothing.
`UNTRACKED` Ignore changes to untracked files in the working tree of a submodule

### Method Summary

All Methods Static Methods Concrete Methods
`static SubmoduleWalk.IgnoreSubmoduleMode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SubmoduleWalk.IgnoreSubmoduleMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALL

    public static final SubmoduleWalk.IgnoreSubmoduleMode ALL

Ignore all modifications to submodules

#### DIRTY

    public static final SubmoduleWalk.IgnoreSubmoduleMode DIRTY

Ignore changes to the working tree of a submodule

#### UNTRACKED

    public static final SubmoduleWalk.IgnoreSubmoduleMode UNTRACKED

Ignore changes to untracked files in the working tree of a submodule

#### NONE

    public static final SubmoduleWalk.IgnoreSubmoduleMode NONE

Ignore nothing. That's the default

### Method Detail

#### values

    public static SubmoduleWalk.IgnoreSubmoduleMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SubmoduleWalk.IgnoreSubmoduleMode c : SubmoduleWalk.IgnoreSubmoduleMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SubmoduleWalk.IgnoreSubmoduleMode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null